## network-manager 1.38.0

=== debian/changelog ===
network-manager (1.38.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports

 -- Michael Biebl <biebl@debian.org>  Thu, 26 May 2022 22:02:11 +0200

network-manager (1.38.0-2) unstable; urgency=medium

  * Cherry-pick a couple of fixes from upstream nm-1-38 branch
  * Install additional config examples found in examples/nm-conf.d/
    (Closes: #1010889)

 -- Michael Biebl <biebl@debian.org>  Wed, 18 May 2022 23:05:00 +0200

network-manager (1.38.0-1) unstable; urgency=medium

  * New upstream version 1.38.0
  * Bump symbol versions to final 1.38.0 release

 -- Michael Biebl <biebl@debian.org>  Fri, 13 May 2022 15:42:33 +0200
