## network-manager 1.38.4

=== debian/changelog ===
network-manager (1.38.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports

 -- Michael Biebl <biebl@debian.org>  Sat, 13 Aug 2022 16:41:08 +0200

network-manager (1.38.4-1) unstable; urgency=medium

  * New upstream version 1.38.4
    - core: avoid stale entries in the DNS manager for non-virtual devices
      (Closes: #1006724)
  * Clean up build dependencies

 -- Michael Biebl <biebl@debian.org>  Sat, 13 Aug 2022 15:51:32 +0200

network-manager (1.38.2-1) unstable; urgency=medium

  * New upstream version 1.38.2
  * Rebase patches
  * Bump Standards-Version to 4.6.1
  * Use dh-sequence-gir instead of gir addon

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Jun 2022 22:26:35 +0200
