=== debian/control ===
--- 
+++ 
@@ -6,20 +6,21 @@
  Sjoerd Simons <sjoerd@debian.org>,
  Aron Xu <aron@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
                automake (>= 1.12),
                pkg-config,
                intltool,
-               libglib2.0-dev (>= 2.32),
-               ppp-dev (>= 2.4.7-1+1),
+               libglib2.0-dev (>= 2.40),
+               ppp-dev,
                libselinux1-dev,
                libaudit-dev,
                libgnutls28-dev (>= 2.12),
                uuid-dev,
-               systemd (>= 185),
+               systemd,
                libsystemd-dev (>= 209),
                libudev-dev (>= 175),
-               libgirepository1.0-dev (>= 0.10.7-1~),
-               gobject-introspection (>= 0.9.12-4~),
+               libgirepository1.0-dev,
+               gobject-introspection,
                python3-gi,
                libpsl-dev (>= 0.1),
                libcurl4-gnutls-dev (>= 7.24.0),
@@ -30,13 +31,13 @@
                libreadline-dev,
                libnewt-dev (>= 0.52.15),
                libteam-dev (>= 1.9),
-               libjansson-dev,
+               libjansson-dev (>= 2.7),
                libbluetooth-dev (>= 5),
-               valac (>= 0.17.1.24),
+               valac,
                dbus <!nocheck>,
                python3-dbus <!nocheck>,
                iproute2 <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
