## network-manager 1.40.2

=== debian/changelog ===
network-manager (1.40.2-1) unstable; urgency=medium

  * New upstream version 1.40.2

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Oct 2022 12:29:15 +0200
