## network-manager 1.40.4

=== debian/changelog ===
network-manager (1.40.4-1) unstable; urgency=medium

  * New upstream version 1.40.4
  * Update symbols file for libnm0
  * Replace dependency on dbus with default-dbus-system-bus | dbus-system-bus.
    This makes it easier to swap in alternative implementations like
    dbus-broker.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Nov 2022 18:41:10 +0100
