=== debian/control ===
--- 
+++ 
@@ -54,7 +54,7 @@
          default-dbus-system-bus | dbus-system-bus,
          udev,
          adduser,
-         policykit-1
+         polkitd | policykit-1
 Recommends: ppp,
             dnsmasq-base,
             modemmanager,
