=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,8 @@
 
 include /usr/share/dpkg/architecture.mk
 
-ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
-   BUILD_PACKAGES += -Nnetwork-manager
-endif
-
+# Disable lto here regardless of whether we enable the configure flag
+# https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/issues/1070
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 
 export PYTHON=/usr/bin/python3
@@ -13,7 +11,7 @@
 PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)
 
 %:
-	dh $@ --with ppp $(BUILD_PACKAGES)
+	dh $@ --with ppp
 
 override_dh_autoreconf:
 	NOCONFIGURE=true dh_autoreconf ./autogen.sh
@@ -40,7 +38,6 @@
 		--with-nmtui \
 		--with-nmcli \
 		--with-selinux \
-		--with-tests \
 		--with-libaudit \
 		--with-iwd \
 		--without-dhcpcanon \
@@ -56,18 +53,13 @@
 		--enable-json-validation \
 		--enable-bluez5-dun \
 		--enable-vala \
-		--enable-lto \
 		--disable-more-warnings \
 		--disable-modify-system \
 		--disable-ovs
 
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
-	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
 	dh_install
-
-override_dh_installinit:
-	dh_installinit --noscripts
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/
