## network-manager 1.40.8

=== debian/changelog ===
network-manager (1.40.8-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Dec 2022 11:38:03 +0100

network-manager (1.40.8-1) unstable; urgency=medium

  * Add lintian override for source-is-missing false positive
  * New upstream version 1.40.8
  * Bump Standards-Version to 4.6.2
  * Update list of Uploaders.
    Remove Uploaders that haven't been active for a long time.
    Thanks Sjoerd and Aron for their past work on the package.

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Dec 2022 11:30:35 +0100

network-manager (1.40.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports

 -- Michael Biebl <biebl@debian.org>  Sat, 03 Dec 2022 23:00:28 +0100

network-manager (1.40.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports

 -- Michael Biebl <biebl@debian.org>  Tue, 04 Oct 2022 01:06:17 +0200
