## network-manager 1.40.10

=== debian/changelog ===
network-manager (1.40.10-1) unstable; urgency=medium

  * New upstream version 1.40.10

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Jan 2023 16:24:40 +0100
